[vim-ultisnips] Dépendance à GVim

Mise à jour / Création /debug de paquetages
Moopie
Hankyu
Messages : 17
Inscription : sam. 16 févr. 2013, 21:50

[vim-ultisnips] Dépendance à GVim

Message par Moopie » ven. 23 août 2013, 22:27

Bonjour à tous,

Cherchant le plugin pour Vim "Snipmate" dans les packages d'arch, ledit plugin porte le nom de "vim-ultisnips".

Jusqu'ici pas de problème, sauf que celui ci a la dépendance avec Gvim (le Vim graphique), sauf que moi n'utilisant pas Gvim mais uniquement Vim (car Gvim et Vim sont en conflit), je ne peux pas installer mon plugin. :|


Je trouve la dépendance stupide et inutile donc je demande soit à enlever la dépendance avec Gvim, ou soit de créer un autre paquet.


Merci de m'avoir lu :chinois:

Avatar de l’utilisateur
MrMen
Chu Ko Nu
Messages : 478
Inscription : sam. 11 juil. 2009, 14:33
Localisation : (33)

Re: [vim-ultisnips] Dépendance à GVim

Message par MrMen » sam. 24 août 2013, 00:17

Si tout fonctionne avec tu peux déjà le faire pour toi en modifiant le PKGBUILD puis makepkg. Ensuite tu peux toujours demander au mainteneur s'il peut faire quelque chose.
Arch 64 | Awesome | Zsh | Bépo

Moopie
Hankyu
Messages : 17
Inscription : sam. 16 févr. 2013, 21:50

Re: [vim-ultisnips] Dépendance à GVim

Message par Moopie » sam. 24 août 2013, 01:13

C'est toujours un peu crado de faire comme ça, autant prendre la plugin sur le site de vim et l'installer dans ~/.vim mais c'est toujours plus pratique depuis les dépots.

Comment contacter le mainteneur des packages?

Avatar de l’utilisateur
MrMen
Chu Ko Nu
Messages : 478
Inscription : sam. 11 juil. 2009, 14:33
Localisation : (33)

Re: [vim-ultisnips] Dépendance à GVim

Message par MrMen » sam. 24 août 2013, 23:26

Bah il semblerait que le paquet soit dans community : https://www.archlinux.org/packages/comm ... ultisnips/. Je ne sais pas trop comment on fait dans ce cas là, peut-être un bug report…
Arch 64 | Awesome | Zsh | Bépo

Avatar de l’utilisateur
Ypnose
Maître du Kyudo
Messages : 1363
Inscription : sam. 01 mai 2010, 13:17
Contact :

Re: [vim-ultisnips] Dépendance à GVim

Message par Ypnose » dim. 25 août 2013, 00:36

Moopie a écrit :C'est toujours un peu crado de faire comme ça, autant prendre la plugin sur le site de vim et l'installer dans ~/.vim mais c'est toujours plus pratique depuis les dépots.
Je ne vois pas en quoi c'est "crado". Je recompile pas mal de paquets par moi-même, parce que je juge que certaines dépendances me sont inutiles.
Du moment que tu passes par pacman pour installer ton paquet, c'est parfaitement jouable.

Avatar de l’utilisateur
cdemoulins
Chu Ko Nu
Messages : 310
Inscription : mar. 11 mars 2008, 04:15
Localisation : Paris

Re: [vim-ultisnips] Dépendance à GVim

Message par cdemoulins » dim. 25 août 2013, 01:29

La dépendance est sur gvim par ce que cette version de vim est compilée avec le support de python (tu peux le voir avec la commande «vim --version») contrairement à la version plus basique/minimaliste du paquet vim.

Si tu lis la doc de l'extension ultisnips, c'est bien mentionné que le support de python ou python3 est nécessaire.

http://www.vim.org/scripts/script.php?script_id=2715

Répondre